## r-cran-statcheck 1.3.0

=== DESCRIPTION ===
Package: statcheck
Type: Package
Title: Extract Statistics from Articles and Recompute p Values
Version: 1.3.0
Date: 2018-05-04
Author: Sacha Epskamp <mail@sachaepskamp.com> & Michele B. Nuijten
    <m.b.nuijten@uvt.nl>
Maintainer: Michele B. Nuijten <m.b.nuijten@uvt.nl>
Depends: R (>= 2.14.2)
Imports: plyr, ggplot2, rmarkdown
Description: Extract statistics from articles and recompute p values.
License: GPL-2
LazyLoad: yes
ByteCompile: yes
NeedsCompilation: no
Packaged: 2018-05-04 09:49:38 UTC; mnuijten
Repository: CRAN
Date/Publication: 2018-05-04 11:03:58 UTC

=== debian/changelog ===
r-cran-statcheck (1.3.0-2) unstable; urgency=medium

  * Another source-only upload to facilitate migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 03 Feb 2021 07:17:20 +0100

r-cran-statcheck (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #979808)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 13 Jan 2021 10:05:24 +0100

=== debian/control ===
Source: r-cran-statcheck
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-plyr,
               r-cran-ggplot2,
               r-cran-rmarkdown
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statcheck
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statcheck.git
Homepage: https://cran.r-project.org/package=statcheck
Rules-Requires-Root: no

Package: r-cran-statcheck
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functions for extraction of statistics from articles and recomputing p values
 GNU R package for extraction of statistical references from a directory with
 HTML and PDF files.  The package extracts statistical values (t and F
 statistics) from PDF files.  The "pdftotext" program is used to convert PDF
 files to plain text files.  By default a gui window is opened that allows
 you to choose the directory (using tcltk).

## r-cran-statcheck 1.4.0

=== DESCRIPTION ===
Package: statcheck
Title: Extract Statistics from Articles and Recompute P-Values
Version: 1.4.0
Date: 2023-01-23
Authors@R: c(
    person("Michele B.", "Nuijten", email = "m.b.nuijten@uvt.nl", 
           role = c("aut", "cre"), comment = c(ORCID = "0000-0002-1468-8585")),
    person("Sacha", "Epskamp", email = "mail@sachaepskamp.com", role = "aut", 
            comment = c(ORCID = "0000-0003-4884-8118")),
    person("Willem", "Sleegers", role = "ctb", 
            comment = c(ORCID = "0000-0001-9058-3817")),
    person("Sean", "Rife", role = "ctb", 
            comment = c(ORCID = "0000-0002-6748-0841")),
    person("John", "Sakaluk", role = "ctb", 
            comment = c(ORCID = "0000-0002-2515-9822")),
    person("Paul", "van der Laken", role = "ctb", 
            comment = c(ORCID = "0000-0002-0404-9114")),
    person("Chris", "Hartgerink", role = "ctb", 
            comment = c(ORCID = "0000-0003-1050-6809")),
    person("Steve", "Haroz", role = "ctb", 
            comment = c(ORCID = "0000-0002-2725-9173"))
  )
Description: A "spellchecker" for statistics. It checks whether your p-values match their accompanying test statistic and 
  degrees of freedom. statcheck searches for null-hypothesis significance test 
  (NHST) in APA style (e.g., t(28) = 2.2, p < .05). It recalculates the p-value 
  using the reported test statistic and degrees of freedom. If the reported and 
  computed p-values don't match, statcheck will flag the result as an error. If
  the reported p-value is statistically significant and the recomputed one is not,
  or vice versa, the result will be flagged as a decision error. 
  You can use statcheck directly on a string of text, but you can also scan a PDF 
  or HTML file, or even a folder of PDF and/or HTML files. 
  Statcheck needs an external program to convert PDF to text: Xpdf. Instructions
  on where and how to download this program, how to install statcheck, and more
  details on what statcheck can and cannot do can be found in the online manual: 
  <https://rpubs.com/michelenuijten/statcheckmanual>. 
  You can find a point-and-click web interface to scan PDF or HTML or DOCX 
  articles on <http://statcheck.io>.
Depends: R (>= 2.14.2)
License: GPL-3
Imports: tcltk, plyr, ggplot2, rlang, rmarkdown
Suggests: testthat
LazyLoad: yes
ByteCompile: yes
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-23 08:16:46 UTC; mnuijten
Author: Michele B. Nuijten [aut, cre] (<https://orcid.org/0000-0002-1468-8585>),
  Sacha Epskamp [aut] (<https://orcid.org/0000-0003-4884-8118>),
  Willem Sleegers [ctb] (<https://orcid.org/0000-0001-9058-3817>),
  Sean Rife [ctb] (<https://orcid.org/0000-0002-6748-0841>),
  John Sakaluk [ctb] (<https://orcid.org/0000-0002-2515-9822>),
  Paul van der Laken [ctb] (<https://orcid.org/0000-0002-0404-9114>),
  Chris Hartgerink [ctb] (<https://orcid.org/0000-0003-1050-6809>),
  Steve Haroz [ctb] (<https://orcid.org/0000-0002-2725-9173>)
Maintainer: Michele B. Nuijten <m.b.nuijten@uvt.nl>
Repository: CRAN
Date/Publication: 2023-01-23 13:30:02 UTC

=== debian/changelog ===
r-cran-statcheck (1.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Joost van Baal-Ilić ]
  * TODO: depends tcltk, pdftotext?

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:17:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-statcheck
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statcheck
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statcheck.git
+Homepage: https://cran.r-project.org/package=statcheck
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-plyr,
                r-cran-ggplot2,
+               r-cran-rlang,
                r-cran-rmarkdown
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-statcheck
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-statcheck.git
-Homepage: https://cran.r-project.org/package=statcheck
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-statcheck
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/statcheck_([-\d.]*)\.tar\.gz

## r-cran-statcheck 1.5.0

=== DESCRIPTION ===
Package: statcheck
Title: Extract Statistics from Articles and Recompute P-Values
Version: 1.5.0
Date: 2024-02-16
Authors@R: c(
    person("Michele B.", "Nuijten", , "m.b.nuijten@uvt.nl", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1468-8585")),
    person("Sacha", "Epskamp", , "mail@sachaepskamp.com", role = "aut",
           comment = c(ORCID = "0000-0003-4884-8118")),
    person("Willem", "Sleegers", role = "ctb",
           comment = c(ORCID = "0000-0001-9058-3817")),
    person("Edoardo", "Costantini", role = "ctb"),
    person("Paul", "van der Laken", role = "ctb",
           comment = c(ORCID = "0000-0002-0404-9114")),
    person("Sean", "Rife", role = "ctb",
           comment = c(ORCID = "0000-0002-6748-0841")),
    person("John", "Sakaluk", role = "ctb",
           comment = c(ORCID = "0000-0002-2515-9822")),
    person("Chris", "Hartgerink", role = "ctb",
           comment = c(ORCID = "0000-0003-1050-6809")),
    person("Steve", "Haroz", role = "ctb",
           comment = c(ORCID = "0000-0002-2725-9173"))
  )
Description: A "spellchecker" for statistics. It checks whether your
    p-values match their accompanying test statistic and degrees of
    freedom. statcheck searches for null-hypothesis significance test
    (NHST) in APA style (e.g., t(28) = 2.2, p < .05). It recalculates the
    p-value using the reported test statistic and degrees of freedom. If
    the reported and computed p-values don't match, statcheck will flag
    the result as an error. If the reported p-value is statistically
    significant and the recomputed one is not, or vice versa, the result
    will be flagged as a decision error.  You can use statcheck directly
    on a string of text, but you can also scan a PDF or HTML file, or even
    a folder of PDF and/or HTML files.  Statcheck needs an external
    program to convert PDF to text: Xpdf. Instructions on where and how to
    download this program, how to install statcheck, and more details on
    what statcheck can and cannot do can be found in the online manual:
    <https://rpubs.com/michelenuijten/statcheckmanual>.  You can find a
    point-and-click web interface to scan PDF or HTML or DOCX articles on
    <http://statcheck.io>.
License: GPL-3
Depends: R (>= 2.14.2)
Imports: ggplot2, plyr, rlang, rmarkdown, stringi, tcltk
Suggests: testthat
ByteCompile: yes
Encoding: UTF-8
LazyLoad: yes
RoxygenNote: 7.3.1
URL: https://github.com/MicheleNuijten/statcheck
BugReports: https://github.com/MicheleNuijten/statcheck/issues
NeedsCompilation: no
Packaged: 2024-02-16 19:18:37 UTC; miche
Author: Michele B. Nuijten [aut, cre] (<https://orcid.org/0000-0002-1468-8585>),
  Sacha Epskamp [aut] (<https://orcid.org/0000-0003-4884-8118>),
  Willem Sleegers [ctb] (<https://orcid.org/0000-0001-9058-3817>),
  Edoardo Costantini [ctb],
  Paul van der Laken [ctb] (<https://orcid.org/0000-0002-0404-9114>),
  Sean Rife [ctb] (<https://orcid.org/0000-0002-6748-0841>),
  John Sakaluk [ctb] (<https://orcid.org/0000-0002-2515-9822>),
  Chris Hartgerink [ctb] (<https://orcid.org/0000-0003-1050-6809>),
  Steve Haroz [ctb] (<https://orcid.org/0000-0002-2725-9173>)
Maintainer: Michele B. Nuijten <m.b.nuijten@uvt.nl>
Repository: CRAN
Date/Publication: 2024-02-16 19:30:02 UTC

=== debian/changelog ===
r-cran-statcheck (1.5.0-2) unstable; urgency=medium

  * d/control: add r-cran-stringi to Build-Depends.  Thanks Santiago Vila
    <sanvila@d.o>.  (closes: #1076917)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 24 Aug 2024 06:58:06 +0200

r-cran-statcheck (1.5.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control: add poppler-utils to Depends, since R/file-to-txt.R calls
    system(paste('pdftotext [...]')).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 17 Mar 2024 16:42:09 +0100

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,15 @@
                r-cran-plyr,
                r-cran-ggplot2,
                r-cran-rlang,
-               r-cran-rmarkdown
+               r-cran-rmarkdown,
+               r-cran-stringi
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-statcheck
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         poppler-utils
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R functions for extraction of statistics from articles and recomputing p values
